> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Column Mappings

> List all column mapping groups with their mappings.



## OpenAPI

````yaml get /user/patient/uploads/column-mappings
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/uploads/column-mappings:
    get:
      tags:
        - provider
        - user
        - upload
        - column-mappings
      summary: List Column Mappings
      description: List all column mapping groups with their mappings.
      operationId: list_column_mappings_user_patient_uploads_column_mappings_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ColumnMappingGroupResponse'
                type: array
                title: >-
                  Response List Column Mappings User Patient Uploads Column
                  Mappings Get
components:
  schemas:
    ColumnMappingGroupResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        isDefault:
          type: boolean
          title: Isdefault
        mappings:
          items:
            $ref: '#/components/schemas/ColumnMappingItemResponse'
          type: array
          title: Mappings
      type: object
      required:
        - id
        - name
        - isDefault
        - mappings
      title: ColumnMappingGroupResponse
    ColumnMappingItemResponse:
      properties:
        id:
          type: string
          title: Id
        groupId:
          type: string
          title: Groupid
        csvHeader:
          type: string
          title: Csvheader
        mappedField:
          type: string
          title: Mappedfield
      type: object
      required:
        - id
        - groupId
        - csvHeader
        - mappedField
      title: ColumnMappingItemResponse

````